## node-codemirror-lang-macaulay2 0.2.2

=== debian/changelog ===
node-codemirror-lang-macaulay2 (0.2.2-1) unstable; urgency=medium

  * Initial release (Closes: #1125284).

 -- Doug Torrance <dtorrance@debian.org>  Sun, 11 Jan 2026 18:19:54 -0500

## node-codemirror-lang-macaulay2 0.2.3

=== Makefile ===
all: dist/index.cjs dist/index.d.ts dist/index.js

dist/%: src/index.ts
	rollup -c

demo: all demo/bundle.js demo/bundle.js.map

demo/bundle.%: demo/demo.js
	rollup -c demo-rollup.config.js

check: all
	mocha test/test.js

clean:
	rm -rf demo/bundle.js* dist

.PHONY: all demo clean

=== debian/changelog ===
node-codemirror-lang-macaulay2 (0.2.3-3) unstable; urgency=medium

  * debian/control
    - Drop node-codemirror-state and node-lezer-common from Depends; we
      don't actually (directly) depend on them.  These dependencies were
      generated from package.json, but the requested version of
      node-codemirror-state isn't even available in Debian yet.

 -- Doug Torrance <dtorrance@debian.org>  Sat, 28 Feb 2026 09:46:09 -0500

node-codemirror-lang-macaulay2 (0.2.3-2) unstable; urgency=medium

  * debian/control
    - Drop libjs-codemirror from Depends.  The libjs-codemirror package
      contains CodeMirror 5, but we were trying to depend on CodeMirror 6,
      so it wasn't satisfiable.

 -- Doug Torrance <dtorrance@debian.org>  Fri, 27 Feb 2026 19:32:44 -0500

node-codemirror-lang-macaulay2 (0.2.3-1) unstable; urgency=medium

  * New upstream release.
  * Source-only upload for transition to testing.

 -- Doug Torrance <dtorrance@debian.org>  Mon, 23 Feb 2026 11:24:13 -0500

=== debian/control ===
Source: node-codemirror-lang-macaulay2
Section: javascript
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Doug Torrance <dtorrance@piedmont.edu>
Testsuite: autopkgtest-pkg-nodejs
Build-Depends: debhelper-compat (= 13),
               dh-nodejs,
               dh-sequence-nodejs,
               macaulay2,
               mocha <!nocheck>,
               node-codemirror-language (>= 6.0.0),
               node-codemirror-legacy-modes (>= 6.4.3),
               node-crelt <!nocheck>,
               node-lezer-generator,
               node-rollup-plugin-typescript,
               rollup
Standards-Version: 4.7.3
Homepage: https://github.com/d-torrance/codemirror-lang-macaulay2
Vcs-Git: https://salsa.debian.org/js-team/node-codemirror-lang-macaulay2.git
Vcs-Browser: https://salsa.debian.org/js-team/node-codemirror-lang-macaulay2

Package: node-codemirror-lang-macaulay2
Architecture: all
Depends: node-codemirror-language (>= 6.0.0),
         node-codemirror-legacy-modes (>= 6.4.3),
         ${misc:Depends}
Description: Macaulay2 language support for CodeMirror
 Macaulay2 is a software system for research in algebraic geometry and
 commutative algebra, with particular emphasis on computations involving
 polynomial rings, modules, ideals, and their homological invariants. It is
 widely used by mathematicians and researchers for experimentation, conjecture
 testing, and explicit computation in these areas.
 .
 CodeMirror is a browser-based text editor component commonly used in web
 applications, notebooks, and integrated development environments. It provides
 syntax highlighting, indentation, and other editor features for a wide range
 of programming and domain-specific languages, and serves as the code editor in
 environments such as JupyterLab.
 .
 This package provides a CodeMirror language definition for the Macaulay2
 programming language. It enables syntax highlighting and basic structural
 awareness for Macaulay2 source code in CodeMirror-based editors, improving
 readability and usability when writing or viewing Macaulay2 code in web-based
 and notebook environments.

=== debian/watch ===
version=4
https://github.com/d-torrance/codemirror-lang-macaulay2/tags \
.*/v@ANY_VERSION@@ARCHIVE_EXT@

## node-codemirror-lang-macaulay2 0.2.4

=== debian/changelog ===
node-codemirror-lang-macaulay2 (0.2.4-1) unstable; urgency=medium

  * New upstream release.
  * debian/copyright
    - Update upstream copyright years.
  * debian/control
    - Drop node-rollup-plugin-typescript from Build-Depends; no longer
      used.
    - Mark that node-lezer-generator isn't needed when building with
      nocheck.
    - Add node-crelt to Depends; it's indirectly a dependency
      (@codemirror/language -> @codemirror/view -> crelt), but
      node-codemirror-view doesn't depend on it.
    - Fix my email address in Uploaders.
  * debian/nodejs/extlinks
    - Drop @rollup/plugin-typescript; no longer used.
    - Mark that @lezer/generator is only needed for tests.

 -- Doug Torrance <dtorrance@debian.org>  Sun, 01 Mar 2026 08:35:40 -0500

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: node-codemirror-lang-macaulay2
 Section: javascript
 Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
-Uploaders: Doug Torrance <dtorrance@piedmont.edu>
+Uploaders: Doug Torrance <dtorrance@debian.org>
 Testsuite: autopkgtest-pkg-nodejs
 Build-Depends: debhelper-compat (= 13),
                dh-nodejs,
@@ -11,8 +11,7 @@
                node-codemirror-language (>= 6.0.0),
                node-codemirror-legacy-modes (>= 6.4.3),
                node-crelt <!nocheck>,
-               node-lezer-generator,
-               node-rollup-plugin-typescript,
+               node-lezer-generator <!nocheck>,
                rollup
 Standards-Version: 4.7.3
 Homepage: https://github.com/d-torrance/codemirror-lang-macaulay2
@@ -23,6 +22,7 @@
 Architecture: all
 Depends: node-codemirror-language (>= 6.0.0),
          node-codemirror-legacy-modes (>= 6.4.3),
+         node-crelt,
          ${misc:Depends}
 Description: Macaulay2 language support for CodeMirror
  Macaulay2 is a software system for research in algebraic geometry and

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

execute_before_dh_auto_build:
	cp src/index.ts src/index.ts.bak
	M2 --script generate-grammar.m2

execute_after_dh_installdocs:
	dh_nodejs_autodocs

execute_after_dh_auto_clean:
	if test -e src/index.ts.bak;           \
	then mv src/index.ts.bak src/index.ts; \
	fi
	$(MAKE) clean
